import edu.neu.ccs.*;
import edu.neu.ccs.gui.*;
import edu.neu.ccs.util.*;
import edu.neu.ccs.filter.*;
import edu.neu.ccs.console.*;
import edu.neu.ccs.pedagogy.*;

import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import java.util.*;
import javax.swing.*;
import java.lang.reflect.*;

public class HanoiModel {
    
    /** Maximum number of disks. */
    public static int maxDisks = 8;
    
    /** Number of disks between 1 and maxDisks. */
    protected int disks = 1;
    
    /** Structure for the three Hanoi towers. */
    protected int[][] towers = new int[3][maxDisks];
    
    /** View for the three Hanoi towers. */
    protected HanoiView view = null;
    
    /** Constructor. */
    public HanoiModel() {
        view = new HanoiView(this);
        
        // this is junk for testing
        towers[1][4] = 6;
        
        JPTFrame.createQuickJPTFrame("Hanoi", view);
    }
    
    /** Set function. */
    public int getSize(int tower, int level) {
        return towers[tower][level];
    }
}